GET https://api.ap1.datadoghq.com/api/v2/agentless_scanning/accounts/azure/{subscription_id} https://api.ap2.datadoghq.com/api/v2/agentless_scanning/accounts/azure/{subscription_id} https://api.datadoghq.eu/api/v2/agentless_scanning/accounts/azure/{subscription_id} https://api.ddog-gov.com/api/v2/agentless_scanning/accounts/azure/{subscription_id} https://api.us2.ddog-gov.com/api/v2/agentless_scanning/accounts/azure/{subscription_id} https://api.datadoghq.com/api/v2/agentless_scanning/accounts/azure/{subscription_id} https://api.us3.datadoghq.com/api/v2/agentless_scanning/accounts/azure/{subscription_id} https://api.us5.datadoghq.com/api/v2/agentless_scanning/accounts/azure/{subscription_id}
Overview Fetches the Agentless scan options for an activated subscription.
OAuth apps require the security_monitoring_findings_read authorization scope to access this endpoint.
Arguments Path Parameters subscription_id [required ]
The Azure subscription ID.
Response OK
Response object containing Azure scan options for a single subscription.
Expand All
Single Azure scan options entry.
Attributes for Azure scan options configuration.
Indicates whether host compliance scanning is enabled.
Indicates if scanning for vulnerabilities in containers is enabled.
Indicates if scanning for vulnerabilities in hosts is enabled.
The Azure subscription ID.
The type of the resource. The value should always be azure_scan_options.
Allowed enum values: azure_scan_options
default: azure_scan_options
{
"data" : {
"attributes" : {
"compliance_host" : false ,
"vuln_containers_os" : true ,
"vuln_host_os" : true
},
"id" : "12345678-90ab-cdef-1234-567890abcdef" ,
"type" : "azure_scan_options"
}
} Bad Request
{
"errors" : [
"Bad Request"
]
} Not Authorized
{
"errors" : [
"Bad Request"
]
} Not Found
{
"errors" : [
"Bad Request"
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} Code Example Copy
# Path parameters export subscription_id = "12345678-90ab-cdef-1234-567890abcdef" # Curl command curl -X GET "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/agentless_scanning/accounts/azure/${subscription_id} " \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY} " \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY} "
"""
Get Azure scan options returns "OK" response
"""
from datadog_api_client import ApiClient , Configuration
from datadog_api_client.v2.api.agentless_scanning_api import AgentlessScanningApi
configuration = Configuration ()
with ApiClient ( configuration ) as api_client :
api_instance = AgentlessScanningApi ( api_client )
response = api_instance . get_azure_scan_options (
subscription_id = "12345678-90ab-cdef-1234-567890abcdef" ,
)
print ( response )
Instructions First install the library and its dependencies and then save the example to example.py and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" python3 "example.py"
# Get Azure scan options returns "OK" response
require "datadog_api_client"
api_instance = DatadogAPIClient :: V2 :: AgentlessScanningAPI . new
p api_instance . get_azure_scan_options ( "12345678-90ab-cdef-1234-567890abcdef" )
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" rb "example.rb"
// Get Azure scan options returns "OK" response
package main
import (
"context"
"encoding/json"
"fmt"
"os"
"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)
func main () {
ctx := datadog . NewDefaultContext ( context . Background ())
configuration := datadog . NewConfiguration ()
apiClient := datadog . NewAPIClient ( configuration )
api := datadogV2 . NewAgentlessScanningApi ( apiClient )
resp , r , err := api . GetAzureScanOptions ( ctx , "12345678-90ab-cdef-1234-567890abcdef" )
if err != nil {
fmt . Fprintf ( os . Stderr , "Error when calling `AgentlessScanningApi.GetAzureScanOptions`: %v\n" , err )
fmt . Fprintf ( os . Stderr , "Full HTTP response: %v\n" , r )
}
responseContent , _ := json . MarshalIndent ( resp , "" , " " )
fmt . Fprintf ( os . Stdout , "Response from `AgentlessScanningApi.GetAzureScanOptions`:\n%s\n" , responseContent )
}
Instructions First install the library and its dependencies and then save the example to main.go and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" go run "main.go"
// Get Azure scan options returns "OK" response
import com.datadog.api.client.ApiClient ;
import com.datadog.api.client.ApiException ;
import com.datadog.api.client.v2.api.AgentlessScanningApi ;
import com.datadog.api.client.v2.model.AzureScanOptions ;
public class Example {
public static void main ( String [] args ) {
ApiClient defaultClient = ApiClient . getDefaultApiClient ();
AgentlessScanningApi apiInstance = new AgentlessScanningApi ( defaultClient );
try {
AzureScanOptions result =
apiInstance . getAzureScanOptions ( "12345678-90ab-cdef-1234-567890abcdef" );
System . out . println ( result );
} catch ( ApiException e ) {
System . err . println ( "Exception when calling AgentlessScanningApi#getAzureScanOptions" );
System . err . println ( "Status code: " + e . getCode ());
System . err . println ( "Reason: " + e . getResponseBody ());
System . err . println ( "Response headers: " + e . getResponseHeaders ());
e . printStackTrace ();
}
}
}
Instructions First install the library and its dependencies and then save the example to Example.java and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" java "Example.java"
// Get Azure scan options returns "OK" response
use datadog_api_client ::datadog ;
use datadog_api_client ::datadogV2 ::api_agentless_scanning ::AgentlessScanningAPI ;
#[tokio::main]
async fn main () {
let configuration = datadog ::Configuration ::new ();
let api = AgentlessScanningAPI ::with_config ( configuration );
let resp = api
. get_azure_scan_options ( "12345678-90ab-cdef-1234-567890abcdef" . to_string ())
. await ;
if let Ok ( value ) = resp {
println! ( " {:#?} " , value );
} else {
println! ( " {:#?} " , resp . unwrap_err ());
}
}
Instructions First install the library and its dependencies and then save the example to src/main.rs and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" cargo run
/**
* Get Azure scan options returns "OK" response
*/
import { client , v2 } from "@datadog/datadog-api-client" ;
const configuration = client . createConfiguration ();
const apiInstance = new v2 . AgentlessScanningApi ( configuration );
const params : v2.AgentlessScanningApiGetAzureScanOptionsRequest = {
subscriptionId : "12345678-90ab-cdef-1234-567890abcdef" ,
};
apiInstance
. getAzureScanOptions ( params )
. then (( data : v2.AzureScanOptions ) => {
console . log (
"API called successfully. Returned data: " + JSON . stringify ( data )
);
})
. catch (( error : any ) => console . error ( error ));
Instructions First install the library and its dependencies and then save the example to example.ts and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" tsc "example.ts"